Closed Bug 1720070 Opened 2 months ago Closed 2 months ago

Permanent Talos RemoteAgent ERROR unable to stop listener: TypeError: can't access property "destructor", this.targetList is null(chrome://remote/content/cdp/CDP.jsm:92:5) JS Stack trace: stop@CDP.jsm:92:5 - DO NOT USE FOR CLASSIFICATION

Categories

(Remote Protocol :: CDP, defect, P2)

defect
Points:
2

Tracking

(firefox90 unaffected, firefox91 verified, firefox92 verified)

VERIFIED FIXED
92 Branch
Tracking Status
firefox90 --- unaffected
firefox91 --- verified
firefox92 --- verified

People

(Reporter: intermittent-bug-filer, Assigned: jdescottes)

References

(Regression)

Details

(Keywords: intermittent-failure, regression, Whiteboard: [bidi-m1-mvp])

Attachments

(3 files)

Filed by: archaeopteryx [at] coole-files.de
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=344769982&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/RKQxQ3hhRtCaAlJCOFtLMA/runs/0/artifacts/public/logs/live_backing.log


This failure is not fatal (test still runs successfully) but gets picked up by Treeherder as failure line for every talos task.

[task 2021-07-09T09:19:28.396Z] 09:19:28     INFO -  TEST-INFO | started process 7860 (C:\Users\task_1625809681\build\application\firefox\firefox -wait-for-browser -no-deelevate http://127.0.0.1:49906/getInfo.html)
[task 2021-07-09T09:19:29.829Z] 09:19:29     INFO -  console.warn: SearchSettings: "get: No settings file exists, new profile?" (new NotFoundError("Could not open the file at C:\\Users\\task_1625809681\\AppData\\Local\\Temp\\tmpxw5yn4wl\\profile\\search.json.mozlz4", (void 0)))
[task 2021-07-09T09:19:30.147Z] 09:19:30     INFO -  __metrics
[task 2021-07-09T09:19:30.148Z] 09:19:30     INFO -  	Screen width/height: 1024/768
[task 2021-07-09T09:19:30.148Z] 09:19:30     INFO -  	colorDepth: 24
[task 2021-07-09T09:19:30.148Z] 09:19:30     INFO -  	Browser inner width/height: 1024/682
[task 2021-07-09T09:19:30.148Z] 09:19:30     INFO -  __metrics
[task 2021-07-09T09:19:30.273Z] 09:19:30     INFO -  JavaScript warning: resource://gre/modules/Troubleshoot.jsm, line 691: WebGL context was lost.
[task 2021-07-09T09:19:30.288Z] 09:19:30     INFO -  JavaScript warning: resource://gre/modules/Troubleshoot.jsm, line 691: WebGL context was lost.
[task 2021-07-09T09:19:30.612Z] 09:19:30     INFO -  about:support	{"application":{"name":"Firefox","osVersion":"Windows_NT 10.0 17134","version":"91.0a1","buildID":"20210709084510","distributionID":"","userAgent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101 Firefox/91.0","safeMode":false,"updateChannel":"default","supportURL":"https://support.mozilla.org/1/firefox/91.0a1/WINNT/en-US/","numTotalWindows":1,"numFissionWindows":0,"numRemoteWindows":1,"launcherProcessState":0,"fissionAutoStart":false,"fissionDecisionStatus":"disabledByDefault","remoteAutoStart":true,"policiesStatus":0,"keyLocationServiceGoogleFound":true,"keySafebrowsingGoogleFound":true,"keyMozillaFound":true},"securitySoftware":{"registeredAntiVirus":"","registeredAntiSpyware":"","registeredFirewall":"Windows Firewall"},"processes":{"remoteTypes":{"web":2,"extension":1,"gpu":1},"maxWebContentProcesses":8},"environmentVariables":{"MOZ_AUTOMATION":"1","MOZ_CRASHREPORTER_DATA_DIRECTORY":"C:\\Users\\task_1625809681\\AppData\\Roaming\\Mozilla\\Firefox\\Crash Reports","MOZ_CRASHREPORTER_EVENTS_DIRECTORY":"C:\\Users\\task_1625809681\\AppData\\Local\\Temp\\tmpxw5yn4wl\\profile\\crashes\\events","MOZ_CRASHREPORTER_PING_DIRECTORY":"C:\\Users\\task_1625809681\\AppData\\Roaming\\Mozilla\\Firefox\\Pending Pings","MOZ_CRASHREPORTER_RESTART_ARG_0":"C:\\Users\\task_1625809681\\build\\application\\firefox\\firefox.exe","MOZ_CRASHREPORTER_RESTART_ARG_1":"http://127.0.0.1:49906/getInfo.html","MOZ_CRASHREPORTER_RESTART_ARG_2":"--wait-for-browser","MOZ_CRASHREPORTER_RESTART_ARG_3":"-profile","MOZ_CRASHREPORTER_RESTART_ARG_4":"C:\\Users\\task_1625809681\\AppData\\Local\\Temp\\tmpxw5yn4wl\\profile","MOZ_CRASHREPORTER_STRINGS_OVERRIDE":"C:\\Users\\task_1625809681\\build\\application\\firefox\\browser\\crashreporter-override.ini","MOZ_FETCHES":"[{\"artifact\": \"public/build/fix-stacks.tar.bz2\", \"extract\": true, \"task\": \"E-1za619SueuAjViMA9MFg\"}, {\"artifact\": \"public/build/minidump_stackwalk.tar.xz\", \"extract\": true, \"task\": \"BmSo9brRQFS8VH25qeqN3w\"}]","MOZ_FETCHES_DIR":"C:/Users/task_1625809681/fetches","MOZ_SCM_LEVEL":"3","MOZ_UPLOAD_DIR":"C:\\Users\\task_1625809681\\build\\blobber_upload_dir","MOZ_CRASHREPORTER_NO_REPORT":"1","MOZ_CRASHREPORTER":"1","MOZ_DISABLE_NONLOCAL_CONNECTIONS":"1","MOZ_NO_REMOTE":"1","XRE_NO_WINDOWS_CRASH_DIALOG":"1"},"modifiedPreferences":{"browser.cache.disk.smart_size.enabled":false,"browser.contentblocking.category":"custom","browser.link.open_newwindow":2,"browser.search.region":"US","browser.startup.homepage_override.mstone":"91.0a1","browser.startup.homepage_override.buildID":"20210709084510","browser.tabs.remote.autostart":true,"browser.tabs.unloadOnLowMemory":false,"doh-rollout.balrog-migration-done":true,"doh-rollout.home-region":"US","dom.forms.autocomplete.formautofill":true,"dom.allow_scripts_to_close_windows":true,"dom.disable_open_during_load":false,"dom.disable_window_flip":true,"dom.disable_window_move_resize":true,"dom.max_chrome_script_run_time":0,"dom.max_script_run_time":0,"dom.push.connection.enabled":false,"dom.send_after_paint_to_content":true,"extensions.checkCompatibility":false,"extensions.lastAppVersion":"91.0a1","general.useragent.updates.enabled":false,"gfx.webrender.all.qualified":false,"gfx.webrender.software":true,"idle.lastDailyNotification":-1,"layers.acceleration.disabled":true,"layers.acceleration.force-enabled":false,"layers.d3d11.enable-blacklist":false,"layout.frame_rate":0,"media.gmp.storage.version.observed":1,"media.allowed-to-play.enabled":true,"media.autoplay.ask-permission":false,"media.autoplay.block-webaudio":false,"media.autoplay.blocking_policy":0,"media.autoplay.default":0,"media.block-autoplay-until-in-foreground":false,"media.capturestream_hints.enabled":true,"media.geckoview.autoplay.request":false,"media.gmp-manager.updateEnabled":false,"media.gmp-manager.url":"http://127.0.0.1/gmpmanager-dummy/update.xml","media.hardware-video-decoding.failed":false,"media.libavcodec.allow-obsolete":true,"media.navigator.enabled":true,"media.navigator.permission.disabled":true,"media.peerconnection.enabled":true,"media.peerconnection.mtransport_process":false,"media.ruin-av-sync.enabled":true,"network.http.speculative-parallel-limit":0,"network.process.enabled":false,"places.database.lastMaintenance":2147483647,"plugin.state.flash":0,"plugins.flashBlock.enabled":false,"privacy.sanitize.pending":"[{\"id\":\"newtab-container\",\"itemsToClear\":[],\"options\":{}}]","privacy.reduceTimerPrecision":false,"privacy.trackingprotection.annotate_channels":false,"privacy.trackingprotection.enabled":false,"privacy.trackingprotection.introURL":"http://127.0.0.1/trackingprotection/tour","privacy.trackingprotection.pbmode.enabled":false,"security.certerrors.mitm.priming.enabled":false,"security.enable_java":false,"security.fileuri.strict_origin_policy":false,"security.sandbox.content.tempDirSuffix":"{323d351d-31cf-4461-8b98-2f27e5dfb02b}","security.turn_off_all_security_so_that_viruses_can_take_over_this_computer":true,"services.sync.engine.addresses.available":true},"lockedPreferences":{"fission.autostart.session":false},"printingPreferences":{},"media":{"currentAudioBackend":"wasapi","currentMaxAudioChannels":2,"currentPreferredSampleRate":48000,"audioOutputDevices":[{"name":"Line 1 (Virtual Audio Cable)","groupId":"ROOT\\{83ED7F0E-2028-4956-B0B4-39C76FDAEF1D}\\0000","vendor":"","type":2,"state":2,"preferred":7,"supportedFormat":4112,"defaultFormat":4096,"maxChannels":2,"defaultRate":48000,"maxRate":48000,"minRate":48000,"maxLatency":480,"minLatency":144}],"audioInputDevices":[{"name":"S/PDIF 1 (Virtual Audio Cable)","groupId":"ROOT\\{83ED7F0E-2028-4956-B0B4-39C76FDAEF1D}\\0000","vendor":"","type":1,"state":1,"preferred":0,"supportedFormat":4112,"defaultFormat":4096,"maxChannels":0,"defaultRate":0,"maxRate":0,"minRate":0,"maxLatency":0,"minLatency":0},{"name":"Line 1 (Virtual Audio Cable)","groupId":"ROOT\\{83ED7F0E-2028-4956-B0B4-39C76FDAEF1D}\\0000","vendor":"","type":1,"state":2,"preferred":7,"supportedFormat":4112,"defaultFormat":4096,"maxChannels":2,"defaultRate":48000,"maxRate":48000,"minRate":48000,"maxLatency":480,"minLatency":144},{"name":"Mic 1 (Virtual Audio Cable)","groupId":"ROOT\\{83ED7F0E-2028-4956-B0B4-39C76FDAEF1D}\\0000","vendor":"","type":1,"state":1,"preferred":0,"supportedFormat":4112,"defaultFormat":4096,"maxChannels":0,"defaultRate":0,"maxRate":0,"minRate":0,"maxLatency":0,"minLatency":0}]},"accessibility":{"isActive":false,"forceDisabled":0,"handlerUsed":false,"instantiator":""},"startupCache":{"DiskCachePath":"C:\\Users\\task_1625809681\\AppData\\Local\\Temp\\tmpxw5yn4wl\\profile\\startupCache\\startupCache.8.little","IgnoreDiskCache":false,"FoundDiskCacheOnInit":false,"WroteToDiskCache":false},"libraryVersions":{"NSPR":{"minVersion":"4.32","version":"4.32"},"NSS":{"minVersion":"3.68 Beta","version":"3.68 Beta"},"NSSUTIL":{"minVersion":"3.68 Beta","version":"3.68 Beta"},"NSSSSL":{"minVersion":"3.68 Beta","version":"3.68 Beta"},"NSSSMIME":{"minVersion":"3.68 Beta","version":"3.68 Beta"}},"userJS":{"exists":true},"intl":{"localeService":{"requested":["en-US"],"available":["en-US"],"supported":["en-US"],"regionalPrefs":["en-US"],"defaultLocale":"en-US"},"osPrefs":{"systemLocales":["en-US"],"regionalPrefsLocales":["en-US"]}},"crashes":{"submitted":[],"pending":0},"sandbox":{"contentSandboxLevel":6,"effectiveContentSandboxLevel":6,"contentWin32kLockdownState":"Win32k Lockdown disabled -- Preference not set"},"remoteAgent":{"listening":false,"url":""},"graphics":{"numTotalWindows":1,"numAcceleratedWindows":1,"windowLayerManagerType":"WebRender (Software)","windowLayerManagerRemote":true,"windowUsingAdvancedLayers":false,"adapterDescription":"Intel(R) Iris(R) Pro Graphics P580","adapterVendorID":"0x8086","adapterDeviceID":"0x193a","adapterSubsysID":"18a9103c","adapterRAM":0,"adapterDrivers":"igdumdim64 igd10iumd64 igd10iumd64 igd12umd64 igdumdim32 igd10iumd32 igd10iumd32 igd12umd32","driverVendor":"","driverVersion":"22.20.16.4815","driverDate":"9-26-2017","adapterDescription2":"","adapterVendorID2":"","adapterDeviceID2":"","adapterSubsysID2":"","adapterRAM2":0,"adapterDrivers2":"","driverVendor2":"","driverVersion2":"","driverDate2":"","isGPU2Active":false,"direct2DEnabled":false,"directWriteEnabled":true,"directWriteVersion":"10.0.17134.1","clearTypeParameters":"Gamma: 1.8 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50 ","usesTiling":false,"contentUsesTiling":false,"offMainThreadPaintEnabled":false,"offMainThreadPaintWorkerCount":0,"targetFrameRate":60,"direct2DEnabledMessage":{"key":""},"webgl1Renderer":"Google Inc. -- ANGLE (Intel(R) Iris(R) Pro Graphics P580 Direct3D11 vs_5_0 ps_5_0)","webgl1Version":"OpenGL ES 2.0.0 (ANGLE 2.1.14226 git hash: 31a43497be09)","webgl1DriverExtensions":"GL_ANGLE_base_vertex_base_instance GL_ANGLE_client_arrays GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_get_tex_level_parameter GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_memory_size GL_ANGLE_multi_draw GL_ANGLE_multiview_multisample GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_provoking_vertex GL_ANGLE_request_extension GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_color_buffer_float_rgb GL_CHROMIUM_color_buffer_float_rgba GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_lose_context GL_CHROMIUM_sync_query GL_EXT_EGL_image_external_wrap_modes GL_EXT_blend_func_extended GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_draw_elements_base_vertex GL_EXT_float_blend GL_EXT_frag_depth GL_EXT_instanced_arrays GL_EXT_map_buffer_range GL_EXT_multisampled_render_to_texture GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_bptc GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_no_error GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_compressed_EAC_R11_signed_texture GL_OES_compressed_EAC_R11_unsigned_texture GL_OES_compressed_EAC_RG11_signed_texture GL_OES_compressed_EAC_RG11_unsigned_texture GL_OES_compressed_ETC2_RGB8_texture GL_OES_compressed_ETC2_RGBA8_texture GL_OES_compressed_ETC2_punchthroughA_RGBA8_texture GL_OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture GL_OES_compressed_ETC2_sRGB8_alpha8_texture GL_OES_compressed_ETC2_sRGB8_texture GL_OES_depth24 GL_OES_depth32 GL_OES_draw_elements_base_vertex GL_OES_element_index_uint GL_OES_fbo_render_mipmap GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_border_clamp GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_texture_stencil8 GL_OES_vertex_array_object GL_WEBGL_video_texture ","webgl1Extensions":"ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_float_blend EXT_frag_depth EXT_shader_texture_lod EXT_sRGB EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_element_index_uint OES_fbo_render_mipmap OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context","webgl1WSIInfo":"EGL_VENDOR: Google Inc. (adapter LUID: 0000000000006838)\nEGL_VERSION: 1.5 (ANGLE 2.1.14226 git hash: 31a43497be09)\nEGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_display_semaphore_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_ANDROID_blob_cache EGL_ANDROID_recordable EGL_ANGLE_image_d3d11_texture EGL_ANGLE_create_context_backwards_compatible EGL_KHR_create_context_no_error EGL_KHR_reusable_sync \nEGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_platform_angle_d3d11on12 EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context EGL_ANGLE_feature_control \nIsWebglOutOfProcessEnabled: 1","webgl2Renderer":"Google Inc. -- ANGLE (Intel(R) Iris(R) Pro Graphics P580 Direct3D11 vs_5_0 ps_5_0)","webgl2Version":"OpenGL ES 3.0.0 (ANGLE 2.1.14226 git hash: 31a43497be09)","webgl2DriverExtensions":"GL_ANGLE_base_vertex_base_instance GL_ANGLE_client_arrays GL_ANGLE_copy_texture_3d GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_get_tex_level_parameter GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_memory_size GL_ANGLE_multi_draw GL_ANGLE_multiview_multisample GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_provoking_vertex GL_ANGLE_request_extension GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_multisample GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_lose_context GL_CHROMIUM_sync_query GL_EXT_EGL_image_external_wrap_modes GL_EXT_blend_func_extended GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_draw_buffers_indexed GL_EXT_draw_elements_base_vertex GL_EXT_float_blend GL_EXT_frag_depth GL_EXT_instanced_arrays GL_EXT_map_buffer_range GL_EXT_multisampled_render_to_texture GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_bptc GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_no_error GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_compressed_EAC_R11_signed_texture GL_OES_compressed_EAC_R11_unsigned_texture GL_OES_compressed_EAC_RG11_signed_texture GL_OES_compressed_EAC_RG11_unsigned_texture GL_OES_compressed_ETC2_RGB8_texture GL_OES_compressed_ETC2_RGBA8_texture GL_OES_compressed_ETC2_punchthroughA_RGBA8_texture GL_OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture GL_OES_compressed_ETC2_sRGB8_alpha8_texture GL_OES_compressed_ETC2_sRGB8_texture GL_OES_depth24 GL_OES_depth32 GL_OES_draw_buffers_indexed GL_OES_draw_elements_base_vertex GL_OES_element_index_uint GL_OES_fbo_render_mipmap GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_border_clamp GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_texture_stencil8 GL_OES_vertex_array_object GL_OVR_multiview GL_OVR_multiview2 GL_WEBGL_video_texture ","webgl2Extensions":"EXT_color_buffer_float EXT_float_blend EXT_texture_compression_bptc EXT_texture_compression_rgtc EXT_texture_filter_anisotropic MOZ_debug OES_texture_float_linear OVR_multiview2 WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context","webgl2WSIInfo":"EGL_VENDOR: Google Inc. (adapter LUID: 0000000000006838)\nEGL_VERSION: 1.5 (ANGLE 2.1.14226 git hash: 31a43497be09)\nEGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_display_semaphore_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_ANDROID_blob_cache EGL_ANDROID_recordable EGL_ANGLE_image_d3d11_texture EGL_ANGLE_create_context_backwards_compatible EGL_KHR_create_context_no_error EGL_KHR_reusable_sync \nEGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_platform_angle_d3d11on12 EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context EGL_ANGLE_feature_control \nIsWebglOutOfProcessEnabled: 1","info":{"AzureCanvasBackend (UI Process)":"skia","AzureFallbackCanvasBackend (UI Process)":"skia","AzureContentBackend (UI Process)":"skia","AzureCanvasBackend":"skia","AzureContentBackend":"skia","ApzWheelInput":1,"ApzDragInput":1,"ApzKeyboardInput":1,"ApzAutoscrollInput":1,"ApzZoomingInput":1,"CMSOutputProfile":"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","DisplayCount":1,"Display0":"1024x768@60Hz : Intel(R) Iris(R) Pro Graphics P580","HardwareStretching":"both=0 window-only=0 full-screen-only=0 none=1 error=0"},"featureLog":{"features":[{"name":"HW_COMPOSITING","description":"Compositing","status":"disabled","log":[{"type":"default","status":"available"},{"type":"user","status":"disabled","message":"Disabled by pref"}]},{"name":"D3D11_COMPOSITING","description":"Direct3D11 Compositing","status":"unavailable","log":[{"type":"default","status":"unavailable","message":"Hardware compositing is disabled"}]},{"name":"DIRECT2D","description":"Direct2D","status":"unavailable","log":[{"type":"default","status":"unavailable","message":"Direct2D requires Direct3D 11 compositing"}]},{"name":"D3D11_HW_ANGLE","description":"Direct3D11 hardware ANGLE","status":"disabled","log":[{"type":"default","status":"unavailable","message":"D3D11 compositing is disabled"},{"type":"env","status":"disabled","message":"D3D11 compositing is disabled"}]},{"name":"GPU_PROCESS","description":"GPU Process","status":"available","log":[{"type":"default","status":"available"}]},{"name":"WEBRENDER","description":"WebRender","status":"unavailable-no-hw-compositing","log":[{"type":"default","status":"available"},{"type":"user","status":"disabled","message":"User force-enabled software WR"},{"type":"runtime","status":"unavailable-no-hw-compositing","message":"Hardware compositing is disabled"}]},{"name":"WEBRENDER_QUALIFIED","description":"WebRender qualified","status":"available","log":[{"type":"default","status":"available"}]},{"name":"WEBRENDER_COMPOSITOR","description":"WebRender native compositor","status":"unavailable","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable","message":"No DirectComposition usage"}]},{"name":"WEBRENDER_PARTIAL","description":"WebRender partial present","status":"available","log":[{"type":"default","status":"available"}]},{"name":"WEBRENDER_SHADER_CACHE","description":"WebRender shader disk cache","status":"unavailable","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable","message":"WebRender disabled"}]},{"name":"WEBRENDER_OPTIMIZED_SHADERS","description":"WebRender optimized shaders","status":"unavailable","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable","message":"WebRender disabled"}]},{"name":"WEBRENDER_ANGLE","description":"WebRender ANGLE","status":"unavailable-no-angle","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable-no-angle","message":"ANGLE is disabled"}]},{"name":"WEBRENDER_DCOMP_PRESENT","description":"WebRender DirectComposition","status":"unavailable","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable","message":"Requires ANGLE"}]},{"name":"WEBRENDER_SOFTWARE","description":"WebRender software fallback","status":"force_enabled","log":[{"type":"default","status":"available"},{"type":"user","status":"force_enabled","message":"Force enabled by pref"}]},{"name":"OMTP","description":"Off Main Thread Painting","status":"disabled","log":[{"type":"default","status":"disabled","message":"Disabled by default"}]},{"name":"WEBGPU","description":"WebGPU","status":"disabled","log":[{"type":"default","status":"disabled","message":"Disabled by default"}]}],"fallbacks":[]},"crashGuards":[]},"experimentalFeatures":[["experimental-features-abouthome-startup-cache","browser.startup.homepage.abouthome_cache.enabled",true],["experimental-features-cookie-samesite-lax-by-default2","network.cookie.sameSite.laxByDefault",true],["experimental-features-cookie-samesite-none-requires-secure2","network.cookie.sameSite.noneRequiresSecure",true],["experimental-features-cookie-samesite-schemeful","network.cookie.sameSite.schemeful",true],["experimental-features-css-constructable-stylesheets","layout.css.constructable-stylesheets.enabled",false],["experimental-features-css-masonry2","layout.css.grid-template-masonry-value.enabled",true],["experimental-features-devtools-color-scheme-simulation","devtools.inspector.color-scheme-simulation.enabled",true],["experimental-features-devtools-compatibility-panel","devtools.inspector.compatibility.enabled",true],["experimental-features-devtools-execution-context-selector","devtools.webconsole.input.context",true],["experimental-features-devtools-serviceworker-debugger-support","devtools.debugger.features.windowless-service-workers",false],["experimental-features-fission","fission.autostart",false],["experimental-features-media-avif","image.avif.enabled",false],["experimental-features-media-jxl","image.jxl.enabled",false],["experimental-features-multi-pip","media.videocontrols.picture-in-picture.allow-multiple",true],["experimental-features-ime-search","browser.urlbar.keepPanelOpenDuringImeComposition",false],["experimental-features-web-api-inputmode","dom.forms.inputmode",true],["experimental-features-web-gpu2","dom.webgpu.enabled",false],["experimental-features-webrtc-global-mute-toggles","privacy.webrtc.globalMuteToggles",false],["experimental-features-win32k-lockdown","security.sandbox.content.win32k-disable",false]],"addons":[{"name":"PageLoader extension","type":"extension","version":"1.1","isActive":true,"id":"pageloader@mozilla.org"},{"name":"Talos Powers","type":"extension","version":"1.1","isActive":true,"id":"talos-powers@mozilla.org"}],"features":[{"name":"DoH Roll-Out","version":"2.0.0","id":"doh-rollout@mozilla.org"},{"name":"Firefox Screenshots","version":"39.0.1","id":"screenshots@mozilla.org"},{"name":"Form Autofill","version":"1.0.1","id":"formautofill@mozilla.org"},{"name":"Picture-In-Picture","version":"1.0.0","id":"pictureinpicture@mozilla.org"},{"name":"Web Compatibility Interventions","version":"23.9.0","id":"webcompat@mozilla.org"},{"name":"WebCompat Reporter","version":"1.4.2","id":"webcompat-reporter@mozilla.org"}],"normandy":{"addonStudies":[],"prefRollouts":[],"prefStudies":[],"nimbusExperiments":[],"remoteConfigs":[]}}
[task 2021-07-09T09:19:31.024Z] 09:19:31     INFO -  JavaScript error: resource:///modules/Interactions.jsm, line 209: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIUserIdleService.removeIdleObserver]
[task 2021-07-09T09:19:31.067Z] 09:19:31     INFO -  [Parent 6832, IPC I/O Parent] WARNING: file /builds/worker/checkouts/gecko/ipc/chromium/src/base/process_util_win.cc:167
[task 2021-07-09T09:19:31.146Z] 09:19:31     INFO -  *** UTM:SVC TimerManager:registerTimer called after profile-before-change notification. Ignoring timer registration for id: recipe-client-addon-run
[task 2021-07-09T09:19:31.165Z] 09:19:31     INFO -  JavaScript error: resource:///modules/Discovery.jsm, line 104: NS_ERROR_NOT_AVAILABLE: Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsICookieManager.remove]
[task 2021-07-09T09:19:31.305Z] 09:19:31     INFO -  ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2021-07-09T09:19:31.524Z] 09:19:31    ERROR -  1625822371524	RemoteAgent	ERROR	unable to stop listener: TypeError: can't access property "destructor", this.targetList is null(chrome://remote/content/cdp/CDP.jsm:92:5) JS Stack trace: stop@CDP.jsm:92:5
[task 2021-07-09T09:19:31.525Z] 09:19:31     INFO -  close@RemoteAgent.jsm:138:21
[task 2021-07-09T09:19:31.579Z] 09:19:31     INFO -  TEST-INFO | 7860: exit 0

We now create cdp earlier RemoteAgent.jsm, even if we don't actually start to listen https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/remote/components/RemoteAgent.jsm#53

Then when we close() RemoteAgent, we will always call this.cdp?.stop which will attempt to destroy this.targetList. However targetList is only created when you start to listen.

Note you can reproduce this by simply starting and quitting Firefox, you will get the following error logged RemoteAgent ERROR unable to stop listener: TypeError: can't access property "destructor", this.targetList is null(chrome://remote/content/cdp/CDP.jsm:92:5) JS Stack trace: stop@CDP.jsm:92:

Also note, that this is simply an error log, as we catch all exceptions in RemoteAgent.close (https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/remote/components/RemoteAgent.jsm#144-147)

targetList might be undefined if we call CDP::stop without having called CDP::start earlier

Assignee: nobody → jdescottes
Status: NEW → ASSIGNED

Depends on D119610. After fixing the error with targetList.destructor, calling CDP::stop() without having called CDP::start() before will trigger another failure.
This is because it will trigger a late load of RecommendedPreferences which will try to automatically initialize preferences
As we discussed about moving the init to be only performed during a call to applyPreferences, I am doing this change here to avoid the error.
This will not yet allow to call this from BiDi, or it would have to call it with an empty preferences map.

Given that this is not only an issue in CI for various test suites but also locally when normally exiting Firefox with the Remote Agent enabled, the priority of the bug needs to be bumped up. A fix will also have to be uplifted to beta.

Severity: S4 → S3
Priority: P5 → P3
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7c8b59b8c9fb
[remote] Only call TargetList::destructor if TargetList was created earlier r=webdriver-reviewers,jgraham,whimboo
https://hg.mozilla.org/integration/autoland/rev/a37ae1e32765
[remote] Only apply common preferences on the first call to applyPreferences r=webdriver-reviewers,whimboo
Status: ASSIGNED → RESOLVED
Closed: 2 months ago
Resolution: --- → FIXED
Target Milestone: --- → 92 Branch
Whiteboard: [checkin-needed-beta]

Beta checkin needs approval first because it's code living in Firefox. Julian, can you please request? Thanks.

Flags: needinfo?(jdescottes)
Whiteboard: [checkin-needed-beta]
Points: --- → 2
Flags: needinfo?(jdescottes)
Priority: P3 → P2
Whiteboard: [bidi-m1-mvp]

(In reply to Henrik Skupin (:whimboo) [⌚️UTC+1] from comment #7)

Beta checkin needs approval first because it's code living in Firefox. Julian, can you please request? Thanks.

So I just retested the initial STRs, and I still get an error message for Remote Agent on shutdown. This seems solely related to loading RecommendedPreferences late. That's strange because I am quite sure this was fixed on an earlier central with the patches here. In any case, uplifting the 2 patches here will not be enough.

I prefer to reopen and quickly add a follow-up patch rather than filing a new bug. It will be easier to track for bidi-m1-mvp as well as for the uplift.

Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Note that I don't see a problem with this patch, and the failure you are seeing is a long-known issue and handled via bug 1602365. Or do you see something else?

Flags: needinfo?(jdescottes)

It seems that lazy loading RecommendedPreferences.jsm too late still triggers an error if invoked in CDP::stop
This doesn't relate to a specific code in RecommendedPreferences as even an empty module still triggers the problem.
Therefore it seems mandatory to ensure we don't call stop in CDP.jsm (or WebDriverBiDi.jsm, when implementation will be added there) unless start() was previously called.

(In reply to Henrik Skupin (:whimboo) [⌚️UTC+1] from comment #9)

Note that I don't see a problem with this patch, and the failure you are seeing is a long-known issue and handled via bug 1602365. Or do you see something else?

(we discussed this on Element, summarizing here for clarity)

Testing by starting Firefox with --remote-ebugging-port hides the problem since it will lead to call CDP.jsm's start() method.
The error here is logged when CDP::stop() is called without having called start() earlier, which is the case when starting Firefox without --remote-ebugging-port.

The error I see in that case is

1626348583490	RemoteAgent	ERROR	unable to stop listener: [Exception... "<no message>"  nsresult: "0x8046001e (<unknown>)"  location: "JS frame :: chrome://remote/content/cdp/CDP.jsm :: stop :: line 95"  data: no] Stack trace: stop()@CDP.jsm:95
close()@RemoteAgent.jsm:138
Flags: needinfo?(jdescottes)
Attachment #9231326 - Attachment description: Bug 1720070 - [remote] Avoid calling CDP::start/stop when unnecessary → Bug 1720070 - [remote] Avoid calling start/stop on CDP and BiDi protocols when unnecessary
Attachment #9231326 - Attachment description: Bug 1720070 - [remote] Avoid calling start/stop on CDP and BiDi protocols when unnecessary → Bug 1720070 - [remote] Avoid calling CDP::start/stop when unnecessary
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5cdd27feea5b
[remote] Avoid calling CDP::start/stop when unnecessary r=webdriver-reviewers,whimboo
Status: REOPENED → RESOLVED
Closed: 2 months ago2 months ago
Resolution: --- → FIXED

Comment on attachment 9231326 [details]
Bug 1720070 - [remote] Avoid calling CDP::start/stop when unnecessary

Beta/Release Uplift Approval Request

  • User impact if declined: A confusing error message is logged in stdout when quitting Firefox
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: No
  • Needs manual test from QE?: Yes
  • If yes, steps to reproduce: Part of the changes here are covered by automated tests, but the initial symptoms (error message in stdout) are not. It could be nice to check this with a manual test. STRs:
  • start Firefox from a commandline/terminal (so that you can see the stdout output)
  • quit Firefox
  • check that there is no "RemoteAgent ERROR" logged
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): Minor javascript changes
  • String changes made/needed:
Attachment #9231326 - Flags: approval-mozilla-beta?
Attachment #9230682 - Flags: approval-mozilla-beta?
Attachment #9230683 - Flags: approval-mozilla-beta?

Comment on attachment 9231326 [details]
Bug 1720070 - [remote] Avoid calling CDP::start/stop when unnecessary

Low risk in early betas, approved for uplift in 91 beta 4, thanks

Attachment #9231326 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Attachment #9230682 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Attachment #9230683 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

Hey Julian, tried reproducing the issue with 91.0a1 (2021-07-12) but had no luck, the single messages I get are (###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost - on mac, ubuntu and win 10) and ([2021-07-20T06:55:26Z ERROR xulstore::persist] removeDocument error: unavailable - this appears only on macOS).

Do you have any additional info which can help in reproducing this issue ? Thank you!

Flags: needinfo?(jdescottes)

I can verify that this works fine now and the error is no longer visible with Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:92.0) Gecko/20100101 Firefox/92.0 ID:20210719093934.

I think that's all what we had to do here for verification. So not more feedback from Julian is required.

Status: RESOLVED → VERIFIED
Flags: needinfo?(jdescottes)

(In reply to Catalin Sasca, QA [:csasca] from comment #17)

Hey Julian, tried reproducing the issue with 91.0a1 (2021-07-12) but had no luck, the single messages I get are (###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost - on mac, ubuntu and win 10) and ([2021-07-20T06:55:26Z ERROR xulstore::persist] removeDocument error: unavailable - this appears only on macOS).

Do you have any additional info which can help in reproducing this issue ? Thank you!

Hi,

I forgot that some logs are only visible by default on non-official builds. This is because of the preference browser.dom.window.dump.enabled which is always false by default except on non-offical builds. That's why we could always see the problem on our local builds, but you could not reproduce it on a regular Nightly.

If you want to reproduce the bug, you can just flip this browser.dom.window.dump.enabled pref to true before quitting the application.

Thanks Julian for providing the dump pref, I was able to reproduce and verify that the issue is no longer reproducible on 91.0b4. Thanks to Henrik too for verifying on 92.0a1.

You need to log in before you can comment on or make changes to this bug.